Bug 739743 - ./sysdeps/posix/getaddrinfo.c:1656: rfc3484_sort: Assertion `src->results[i].native == -1 || src->results[i].native == a1_native' failed.
./sysdeps/posix/getaddrinfo.c:1656: rfc3484_sort: Assertion `src->results[i]....
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Law
Fedora Extras Quality Assurance
:
: 657489 756544 759807 768494 768714 784926 785099 795067 804314 806622 818534 818676 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-19 17:40 EDT by Lennart Poettering
Modified: 2013-04-01 14:21 EDT (History)
26 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-17 14:37:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (73.73 KB, text/plain)
2011-12-23 03:22 EST, Matěj Pakosta
no flags Details
File: backtrace (56.12 KB, text/plain)
2012-02-02 15:18 EST, Van de Bugger
no flags Details
dialog that was to have allowed adding of a network printer by ip# but the Add button is not being enabled (12.62 KB, image/png)
2012-04-21 03:43 EDT, Harish Pillay
no flags Details

  None (edit)
Description Lennart Poettering 2011-09-19 17:40:46 EDT
Whenever I try to run emacs I get this:

53 [lennart@epsilon] ~/projects/systemd (master $)$ emacs src/util.c
emacs: ../sysdeps/posix/getaddrinfo.c:1656: rfc3484_sort: Assertion `src->results[i].native == -1 || src->results[i].native == a1_native' failed.
Fatal error (6)Aborted

I can't fix my own bugs anymore now. Sniff!

$ rpm -qf /lib64/libc-2.14.90.so
glibc-2.14.90-9.x86_64
Comment 1 Lennart Poettering 2011-09-19 21:05:43 EDT
Interesting: removing the vpnc connection makes emacs start up properly.
Comment 2 Lennart Poettering 2011-09-19 21:11:43 EDT
Interesting: removing the vpnc connection makes emacs start up properly.

A diff of "ip addr" with and without vpnc reveals that only this changed:

+12: tun0: <POINTOPOINT,MULTICAST,NOARP,UP,LOWER_UP> mtu 1404 qdisc pfifo_fast state UNKNOWN qlen 500
+    link/none 
+    inet 10.36.6.49/32 scope global tun0

The interesting thing here appears to be that the vpnc link has no Ipv6 address.
Comment 3 Lennart Poettering 2011-09-19 21:12:56 EDT
Indeed, if I add a fake ipv6 address to that link then emacs no longer asserts.

Apparently the resolver code in glibc seems to choke on network interfaces that are up and only have an ipv4 but no ipv6 address assigned, which vpnc might create.
Comment 4 Lennart Poettering 2011-09-19 21:13:41 EDT
(and i do wonder why in heaven emacs resolves anything at initialization anyway...)
Comment 5 Andreas Schwab 2011-09-26 03:35:01 EDT
*** Bug 657489 has been marked as a duplicate of this bug. ***
Comment 6 Andreas Schwab 2011-09-26 08:15:04 EDT
I am unable to reproduce that.
Comment 7 Fedora Admin XMLRPC Client 2011-11-14 14:15:14 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 John L Magee 2011-11-26 00:12:04 EST
on F16, trying to run javaws, got this

 0x000000339ac2ee9e in __assert_fail_base (fmt=<optimized out>, assertion=0x339ad769d0 "src->results[i].native == -1 || src->results[i].native == a1_native", file=0x339ad769b0 "../sysdeps/posix/getaddrinfo.c", line=<optimized out>, function=<optimized out>) at assert.c:94
        str = 0x7f607c030fb0 "java: ../sysdeps/posix/getaddrinfo.c:1656: rfc3484_sort: Assertion `src->results[i].native == -1 || src->results[i].native == a1_native' failed.\n"
   
adding FQDN to /etc/hosts as follows solved the problem

[root@mnetjlmf16 ~]# cat /etc/hosts
#127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
127.0.0.1   mnetjlmf16.mageenet.net localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6

same configuration on F15 never failed.

Just tried the FQDN in /etc/hosts after reviewing reports closed as duplicate of this one. No other reason. Subsequent review of backtrace shows this at bottom

0x00007f60e260a5c0 in Java_java_net_Inet6AddressImpl_lookupAllHostAddr () from /usr/lib/jvm/java-1.6.0-sun-1.6.0.26.x86_64/jre/lib/amd64/libnet.so

so I guess something odd is being returned.
Comment 9 John L Magee 2011-11-26 00:54:07 EST
also resolve Samba problem. Host share was only accessible from one VM at a time. Attempts to access simultaneously resulted in the following backtrace in syslog

Nov 25 18:32:50 mnetjlmf16 abrt[3666]: Can't cd to '(null)'
Nov 25 18:32:50 mnetjlmf16 abrt[3666]: Saved core dump of pid 3665 (/usr/sbin/smbd) to /var/spool/abrt/ccpp-2011-11-25-18:32:50-3665 (1556480 bytes)
Nov 25 18:32:50 mnetjlmf16 abrtd: Directory 'ccpp-2011-11-25-18:32:50-3665' creation detected
Nov 25 18:32:50 mnetjlmf16 smbd[3669]: [2011/11/25 18:32:50.399991,  0] lib/fault.c:47(fault_report)
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:   ===============================================================
Nov 25 18:32:50 mnetjlmf16 smbd[3669]: [2011/11/25 18:32:50.400130,  0] lib/fault.c:48(fault_report)
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:   INTERNAL ERROR: Signal 6 in pid 3669 (3.6.1-75.fc16)
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:   Please read the Trouble-Shooting section of the Samba3-HOWTO
Nov 25 18:32:50 mnetjlmf16 smbd[3669]: [2011/11/25 18:32:50.400285,  0] lib/fault.c:50(fault_report)
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:   
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:   From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
Nov 25 18:32:50 mnetjlmf16 smbd[3669]: [2011/11/25 18:32:50.400402,  0] lib/fault.c:51(fault_report)
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:   ===============================================================
Nov 25 18:32:50 mnetjlmf16 smbd[3669]: [2011/11/25 18:32:50.400460,  0] lib/util.c:1117(smb_panic)
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:   PANIC (pid 3669): internal error
Nov 25 18:32:50 mnetjlmf16 smbd[3669]: [2011/11/25 18:32:50.404811,  0] lib/util.c:1221(log_stack_trace)
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:   BACKTRACE: 32 stack frames:
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #0 /usr/sbin/smbd(log_stack_trace+0x1a) [0x7fd79edcca8a]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #1 /usr/sbin/smbd(smb_panic+0x25) [0x7fd79edccb65]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #2 /usr/sbin/smbd(+0x410ea8) [0x7fd79edbdea8]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #3 /lib64/libc.so.6(+0x339ac36300) [0x7fd79b511300]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #4 /lib64/libc.so.6(gsignal+0x35) [0x7fd79b511285]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #5 /lib64/libc.so.6(abort+0x17b) [0x7fd79b512b9b]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #6 /lib64/libc.so.6(+0x339ac2ee9e) [0x7fd79b509e9e]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #7 /lib64/libc.so.6(+0x339ac2ef42) [0x7fd79b509f42]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #8 /lib64/libc.so.6(+0x339acdb9fd) [0x7fd79b5b69fd]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #9 /lib64/libc.so.6(+0x339ac387e4) [0x7fd79b5137e4]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #10 /lib64/libc.so.6(+0x339ac385c7) [0x7fd79b5135c7]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #11 /lib64/libc.so.6(+0x339ac385b1) [0x7fd79b5135b1]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #12 /lib64/libc.so.6(+0x339ac385c7) [0x7fd79b5135c7]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #13 /lib64/libc.so.6(qsort_r+0x26b) [0x7fd79b513e1b]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #14 /lib64/libc.so.6(getaddrinfo+0x3c9) [0x7fd79b5b6e69]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #15 /usr/sbin/smbd(interpret_string_addr_internal+0x41) [0x7fd79eda3a61]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #16 /usr/sbin/smbd(get_mydnsfullname+0xdc) [0x7fd79edd21ec]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #17 /usr/sbin/smbd(get_mydnsdomname+0x9) [0x7fd79edcc459]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #18 /usr/sbin/smbd(auth_ntlmssp_start+0x4b) [0x7fd79ee2849b]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #19 /usr/sbin/smbd(reply_sesssetup_and_X+0x1ef8) [0x7fd79eaeb438]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #20 /usr/sbin/smbd(+0x177074) [0x7fd79eb24074]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #21 /usr/sbin/smbd(+0x17748b) [0x7fd79eb2448b]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #22 /usr/sbin/smbd(+0x1778a3) [0x7fd79eb248a3]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #23 /usr/sbin/smbd(run_events_poll+0x34e) [0x7fd79eddc84e]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #24 /usr/sbin/smbd(smbd_process+0x83a) [0x7fd79eb2603a]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #25 /usr/sbin/smbd(+0x692cef) [0x7fd79f03fcef]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #26 /usr/sbin/smbd(run_events_poll+0x34e) [0x7fd79eddc84e]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #27 /usr/sbin/smbd(+0x42f9ea) [0x7fd79eddc9ea]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #28 /usr/sbin/smbd(_tevent_loop_once+0x90) [0x7fd79eddd570]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #29 /usr/sbin/smbd(main+0xee6) [0x7fd79eaa4556]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #30 /lib64/libc.so.6(__libc_start_main+0xed) [0x7fd79b4fc69d]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:    #31 /usr/sbin/smbd(+0xf7a39) [0x7fd79eaa4a39]
Nov 25 18:32:50 mnetjlmf16 smbd[3669]: [2011/11/25 18:32:50.406072,  0] lib/fault.c:372(dump_core)
Nov 25 18:32:50 mnetjlmf16 smbd[3669]:   dumping core in /var/log/samba/cores/smbd
Nov 25 18:32:50 mnetjlmf16 smbd[3669]: 
No

Note getadderinfo at #14
Comment 10 Krzysztof Kotlenga 2011-11-30 13:42:09 EST
Removing "myhostname" from /etc/nsswitch.conf is a workaround that works for me.
Comment 11 Victor Dolirio Ferreira Barbosa 2011-12-03 18:08:32 EST
Yes, this worked to me too!!!! Thanks Krzysztof Kotlenga

By the way, I've opened one bug relative to this: https://bugzilla.redhat.com/process_bug.cgi
Comment 12 Victor Dolirio Ferreira Barbosa 2011-12-03 18:10:38 EST
https://bugzilla.redhat.com/show_bug.cgi?id=759807
Comment 13 dzmat 2011-12-14 07:16:28 EST
Removing "myhostname" from /etc/nsswitch.conf did not help me. Bug still persist.
In my case squid failing to start when system has incoming pptp links.
If there is no pptp links then squid starts normally and runs normally even when new pptp connection is established.

[dinozaur@na-60230 etc]$ ifconfig
eth0      Link encap:Ethernet  HWaddr 00:0F:EA:D7:21:53
          inet addr:192.168.5.202  Bcast:192.168.5.255  Mask:255.255.255.0
          inet6 addr: fe80::20f:eaff:fed7:2153/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:37086090 errors:0 dropped:55730 overruns:0 frame:0
          TX packets:45861973 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:4035398155 (3.7 GiB)  TX bytes:2248017539 (2.0 GiB)

eth1      Link encap:Ethernet  HWaddr 00:0D:88:4E:4C:A2
          inet addr:192.168.88.202  Bcast:192.168.88.255  Mask:255.255.255.0
          inet6 addr: fe80::20d:88ff:fe4e:4ca2/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1492  Metric:1
          RX packets:36226254 errors:0 dropped:0 overruns:0 frame:0
          TX packets:29244139 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:890845528 (849.5 MiB)  TX bytes:3199782505 (2.9 GiB)
          Interrupt:21 Base address:0xc000

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:6886935 errors:0 dropped:0 overruns:0 frame:0
          TX packets:6886935 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:7253255058 (6.7 GiB)  TX bytes:7253255058 (6.7 GiB)

ppp0      Link encap:Point-to-Point Protocol
          inet addr:192.168.89.129  P-t-P:192.168.89.234  Mask:255.255.255.255
          UP POINTOPOINT RUNNING NOARP MULTICAST  MTU:1396  Metric:1
          RX packets:24 errors:0 dropped:0 overruns:0 frame:0
          TX packets:8 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:3
          RX bytes:2152 (2.1 KiB)  TX bytes:104 (104.0 b)


As you see, ppp link does/n have IPv6 address.
Here what I see in /var/log/messages:

Dec 12 12:56:31 na-60230 squid[27367]: squid: ../sysdeps/posix/getaddrinfo.c:1662: rfc3484_sort: Assertion `src->results[i].native == -1 || src->results[i].native == a2_native' failed.
Dec 12 12:56:31 na-60230 systemd[1]: squid.service: control process exited, code=killed status=6
Dec 12 12:56:31 na-60230 systemd[1]: Unit squid.service entered failed state.
Comment 14 dzmat 2011-12-14 10:38:01 EST
This bug reproduction heavily depends on content of /etc/hosts
Editing this file, I've got such different results:
1. assert on line 1656;
2. no assert, work fine;
3. assert on line 1662.

Even more, file giving assert on line 1656 and file giving no assert
differs only by line order!

=============== file /etc/hosts giving assert on line 1656 ========
127.0.0.1       na-60230        localhost.localdomain   localhost
::1     na-60230        localhost6.localdomain6 localhost6
192.168.89.129 na-60230
192.168.5.202 na-60230
192.168.88.202 na-60230
===================================================================

=============== file /etc/hosts giving normal work=================
127.0.0.1       na-60230        localhost.localdomain   localhost
::1     na-60230        localhost6.localdomain6 localhost6
192.168.5.202 na-60230
192.168.89.129 na-60230
192.168.88.202 na-60230
===================================================================

=============== file /etc/hosts giving assert on line 1662=========
127.0.0.1       na-60230        localhost.localdomain   localhost
::1     na-60230        localhost6.localdomain6 localhost6
192.168.5.202 na-60230
192.168.89.129 na-60230
===================================================================
Comment 15 Milan Crha 2011-12-19 03:43:19 EST
*** Bug 759807 has been marked as a duplicate of this bug. ***
Comment 16 Milan Crha 2011-12-19 03:43:55 EST
*** Bug 768494 has been marked as a duplicate of this bug. ***
Comment 17 Milan Crha 2011-12-19 03:51:20 EST
*** Bug 768714 has been marked as a duplicate of this bug. ***
Comment 18 Deepak Bhole 2011-12-19 11:45:14 EST
*** Bug 756544 has been marked as a duplicate of this bug. ***
Comment 19 Matěj Pakosta 2011-12-23 03:21:52 EST
Just starting Minecraft and joining server crashes the game after few seconds - probably error in Intel graphics driver.

rating: 3
Package: java-1.6.0-openjdk-1.6.0.0-61.1.10.4.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 20 Matěj Pakosta 2011-12-23 03:22:00 EST
Created attachment 549308 [details]
File: backtrace
Comment 21 Thomas Sailer 2012-01-02 10:43:02 EST
I'm seeing this problem with glibc-2.14.90-24.fc16.4.x86_64 and pidgin.
Comment 22 Ingvar Hagelund 2012-01-09 16:32:04 EST
All information already logged in BZ #506730

rating: 3
Package: java-1.6.0-openjdk-1.6.0.0-61.1.10.4.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 23 Eugene Kanter 2012-01-09 16:56:06 EST
(In reply to comment #10)
> Removing "myhostname" from /etc/nsswitch.conf is a workaround that works for
> me.

Thanks for the workaround.
I would like to add an easy to reproduce scenario:

Start evolution (configured to one IMAP+ mailbox in my case) in mail mode.
Click on New, then File->Save As Draft (or Ctrl+S).
A crash with above assert follows.

My /etc/hosts contents are installer created. localhost and localhost6 only.
Comment 24 Milan Crha 2012-01-27 03:56:52 EST
*** Bug 784926 has been marked as a duplicate of this bug. ***
Comment 25 Van de Bugger 2012-02-02 15:18:41 EST
How I got into a problem:

1. Install Fedora 16 from live CD. -- Evolution worked.
2. Update all the packages.
3. Start Evolution.
4. Press "Send/Receive" button. -- Evolution started fetching mails, then aborted.

I tried to run Evolution many times -- the issue was stable reproducible.

Downgrading Evolution packages (including evolution-data-center and evolution-Networkmanager) from 3.2.3 back to 3.2.1 did not help -- Evolution still aborted.

When I worked on the bug report, ABRT tool recommended upgrading krb5 using update-testing repository, so I updated krb5-libs to 1.9.2-6 -- it does not help, Evolution still aborted.

Then I downgraded krb5-libs to ng update-testing repository, so I updated krb5-libs to 1.9.1-18 -- it does not help, Evolution still aborted.


backtrace_rating: 4
Package: evolution-3.2.3-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 26 Van de Bugger 2012-02-02 15:18:48 EST
Created attachment 559124 [details]
File: backtrace
Comment 27 Van de Bugger 2012-02-02 15:25:20 EST
BTW, Removing "myhostname" from /etc/nsswitch.conf works for me too.
Comment 28 Jeff Law 2012-02-17 14:37:39 EST
I've checked in a patch to rawhide & f17 which should fix this bug.
Comment 29 Laine Stump 2012-02-17 16:53:31 EST
*** Bug 785099 has been marked as a duplicate of this bug. ***
Comment 30 Jeff Law 2012-02-20 11:36:05 EST
*** Bug 795067 has been marked as a duplicate of this bug. ***
Comment 31 Jeff Law 2012-03-18 01:31:36 EDT
*** Bug 804314 has been marked as a duplicate of this bug. ***
Comment 32 Harish Pillay 2012-04-21 03:40:45 EDT
Same issue on F16 x86_64.

cupsd: ../sysdeps/posix/getaddrinfo.c:1662: rfc3484_sort: Assertion `src->results[i].native == -1 || src->results[i].native == a2_native' failed.

Tried to add a printer using the usual System Settings->Printer->Add a New Printer dialog, but it complained that firewalld needed to be running. Got that going and enabled mdns, ipp, ipp-client and samba-client. 

Then the Add a New Printer dialog did not have errors but could not add the network printer (see screenshot).

Tried a few times and eventually, it said that there is a printer server error.

Checked for cups and it was dead. tried to restart cupsd and it did not come back on.  The info in https://bugzilla.redhat.com/show_bug.cgi?id=739743 suggested that I remove the "myhostname" from /etc/nsswitch.conf and did that.

Restarted cupsd and it started OK.

I used the system-config-printer command line tool to add the printer and that was successful including sending a file to the printer.

The network printer in this case is actually a print server from TP Link, TL-PS110P a parallel print server.
Comment 33 Harish Pillay 2012-04-21 03:43:01 EDT
Created attachment 579155 [details]
dialog that was to have allowed adding of a network printer by ip# but the Add button is not being enabled
Comment 34 Jeff Law 2012-05-03 11:15:08 EDT
*** Bug 818534 has been marked as a duplicate of this bug. ***
Comment 35 Tim Waugh 2012-05-08 07:48:04 EDT
*** Bug 818676 has been marked as a duplicate of this bug. ***
Comment 36 Nick 2012-05-17 23:28:27 EDT
For anyone else who makes it here...  I was getting a similar error trying to execute a Java based IPMI tool for SuperMicro BMC's.  The error I got was: 

java: ../sysdeps/posix/getaddrinfo.c:1662: rfc3484_sort: Assertion `src->results[i].native == -1 || src->results[i].native == a2_native' failed.
./IPMIView20.sh: line 1:  2786 Aborted                 (core dumped) java -Djava.library.path=. -jar IPMIView20.jar

I tried the workarounds in this thread, none of them helped.  The situation was such that this only broke when my VPN client was connected (openVPN via KNetworkManager).  The long and short of it was that since tun0 didn't have any IPv6 address at all, I received that error.

Trying to use rawhide in yum to upgrade nss would've involved me basically installing Fedora 17's bits to get it to work, so that was a non-starter.

What actually *did* work, was adding an IPv6 link-local address via ifconfig to tun0 as follows:

ifconfig tun0 inet6 add fe80::1/64

For some reason, that didn't work when I used the ip invocation I found on the TLDP IPv6 page.  I probably just did it wrong.

Anyway, adding that extra link-local address and undoing every other fix I did from this page got me past the problem and allowed me to get back to work.

HTH!
Comment 37 Jeff Law 2012-05-23 14:33:20 EDT
*** Bug 806622 has been marked as a duplicate of this bug. ***
Comment 38 Andy Grimm 2012-06-21 17:39:42 EDT
Jeff, is there no intent to fix this in F16 ?

and Nick, thank you for your workaround suggestion.
Comment 39 Jan ONDREJ 2012-10-05 07:40:27 EDT
I see same problem on Fedora 16 with latest updates.
httpd-2.2.22-2.fc16.x86_64

httpd: ../sysdeps/posix/getaddrinfo.c:1662: rfc3484_sort: Assertion `src->results[i].native == -1 || src->results[i].native == a2_native' failed.

Nick's workaround doesn't help:

tun0      Link encap:UNSPEC  HWaddr 00-00-00-00-00-00-00-00-00-00-00-00-00-00-00-00  
          inet addr:1.1.15.1  P-t-P:1.1.15.2  Mask:255.255.255.255
          inet6 addr: fe80::1/64 Scope:Link
          UP POINTOPOINT RUNNING NOARP MULTICAST  MTU:1500  Metric:1
          RX packets:5 errors:0 dropped:0 overruns:0 frame:0
          TX packets:18 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100 
          RX bytes:1270 (1.2 KiB)  TX bytes:1754 (1.7 KiB)
Comment 40 Nick 2013-04-01 14:21:59 EDT
Just for note: this was never fixed in Fedora 16. But since it was fixed in 17, and 16 is EOL, all appears well.  Mostly making this note for historical reference.

Note You need to log in before you can comment on or make changes to this bug.